View Issue Details

IDProjectCategoryView StatusLast Update
0000198Siril[All Projects] Sirilpublic2017-11-21 00:23
ReporterlrogeAssigned Tolock42 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version0.9.8 
Target Version0.9.8Fixed in Version0.9.8 
Summary0000198: Siril crashes when searching sequences see log below
DescriptionRevision 1852

laurent@Astro-PC-bureau:~/siril/siril$ LANG=C siril
Gtk-Message: Failed to load module "topmenu-gtk-module"
Successfully loaded '/usr/share/siril/siril3.glade'
log: Welcome to siril v0.9.8-alpha
log: Supported file types: BMP images, PIC images (IRIS), PGM and PPM binary images, RAW images, FITS-CFA images, Films, SER sequences, TIFF images, JPG images, PNG images.
Checking GTK version ... GTK-3.18
Successfully loaded '/usr/share/siril/gtk_old.css'
log: Loading init file: '/home/laurent/.siril/siril.cfg'
log: Setting CWD (Current Working Directory) to '/home/laurent/Documents/traitement'
log: Added a registration method: One Star Registration (deep-sky)
log: Added a registration method: Global Star Alignment (deep-sky)
log: Added a registration method: Image Pattern Alignment (planetary - full disk)
log: Added a registration method: Enhanced Correlation Coefficient (planetary - surfaces)
log: Parallel processing enabled: Using 4 logical processor(s).
Found a sequence (number 1) with base name "r_test_", looking for first and last indexes.
Found a sequence (number 2) with base name "test_", looking for first and last indexes.
Timestamps are all in order
Found a SER sequence (number 3)
Timestamps are all in order
Found a SER sequence (number 4)
No timestamps stored in the file.
Found a SER sequence (number 5)
No timestamps stored in the file.
Found a SER sequence (number 6)
Timestamps are all identical
Found a SER sequence (number 7)
No timestamps stored in the file.
Found a SER sequence (number 8)
No timestamps stored in the file.
Found a SER sequence (number 9)
seqfile 'r_test_.seq' already exists, not recomputing
seqfile 'test_.seq' already exists, not recomputing
seqfile '23_00_05.seq' already exists, not recomputing
seqfile '22_58_14.seq' already exists, not recomputing
seqfile 'cc_r_23_00_05.seq' already exists, not recomputing
seqfile 'r_22_58_14.seq' already exists, not recomputing
seqfile 'unband_r_cc_r_23_00_05.seq' already exists, not recomputing
seqfile 'r_23_00_05.seq' already exists, not recomputing
seqfile 'r_cc_r_23_00_05.seq' already exists, not recomputing
Reading sequence file `22_58_14.seq'.
Timestamps are all in order
=========== SER file info ==============
file id: LUCAM-RECORDER
lu id: 4660
little endian: 0
sensor type: BGR
image size: 1304 x 976 (8 bits)
frame count: 53
observer: Observer
instrument: ZWO ASI224MC
telescope: telescope
local time: 2016-08-06 22:58:14.973
UTC time: 2016-08-06 20:58:14.973
fps: 0.549
========================================
Reading sequence file `23_00_05.seq'.
Timestamps are all in order
=========== SER file info ==============
file id: LUCAM-RECORDER
lu id: 4660
little endian: 0
sensor type: BGR
image size: 1304 x 976 (8 bits)
frame count: 480
observer: Observer
instrument: ZWO ASI224MC
telescope: telescope
local time: 2016-08-06 23:00:05.493
UTC time: 2016-08-06 21:00:05.493
fps: 0.549
========================================
Reading sequence file `cc_r_23_00_05.seq'.
No timestamps stored in the file.
=========== SER file info ==============
file id: Made by Siril
lu id: 0
little endian: 0
sensor type: RGB
image size: 1304 x 976 (8 bits)
frame count: 480
observer:
instrument:
telescope:
fps: -1.000
========================================
Reading sequence file `r_22_58_14.seq'.
No timestamps stored in the file.
=========== SER file info ==============
file id: Made by Siril
lu id: 0
little endian: 0
sensor type: RGB
image size: 1304 x 976 (8 bits)
frame count: 49
observer:
instrument:
telescope:
fps: -1.000
========================================
Reading sequence file `r_23_00_05.seq'.
No timestamps stored in the file.
=========== SER file info ==============
file id: Made by Siril
lu id: 0
little endian: 0
sensor type: RGB
image size: 1304 x 976 (8 bits)
frame count: 480
observer:
instrument:
telescope:
fps: -1.000
========================================
Reading sequence file `r_cc_r_23_00_05.seq'.
No timestamps stored in the file.
=========== SER file info ==============
file id: Made by Siril
lu id: 0
little endian: 0
sensor type: RGB
image size: 1304 x 976 (8 bits)
frame count: 480
observer:
instrument:
telescope:
fps: -1.000
========================================
Reading sequence file `r_test_.seq'.
Reading sequence file `test_.seq'.
Reading sequence file `unband_r_cc_r_23_00_05.seq'.
Timestamps are all identical
=========== SER file info ==============
file id: Made by Siril
lu id: 0
little endian: 0
sensor type: RGB
image size: 1304 x 976 (8 bits)
frame count: 331
observer:
instrument:
telescope:
fps: -1.000
========================================
Loaded 9 sequence(s)
**
Gtk:ERROR:/build/gtk+3.0-2Ut_nl/gtk+3.0-3.18.9/./gtk/gtkprogressbar.c:611:tick_cb: assertion failed: (priv->pulse2 > priv->pulse1)
Abandon (core dumped)
TagsNo tags attached.

Activities

lock42

2017-11-14 09:25

administrator   ~0000406

Fix committed to Siril (1859).

Related Changesets

Siril: 0.9 r1853

2017-11-10 12:55:27

lock42

Details
Trying to fix issue 0000198 by removing Gtk dependences in free_sequence function. Affected Issues
0000198
mod - /branches/0.9/src/gui/callbacks.c
mod - /branches/0.9/src/io/sequence.c

Siril: 0.9 r1859

2017-11-14 09:25:00

lock42

Details
Fixes 0000198 (Introduced with r1851) Affected Issues
0000198
mod - /branches/0.9/src/io/sequence.c

Issue History

Date Modified Username Field Change
2017-11-09 19:01 lroge New Issue
2017-11-09 22:07 lock42 Assigned To => lock42
2017-11-09 22:07 lock42 Status new => acknowledged
2017-11-10 12:55 lock42 Changeset attached => Siril 0.9 r1853
2017-11-14 09:25 lock42 Changeset attached => Siril 0.9 r1859
2017-11-14 09:25 lock42 Note Added: 0000406
2017-11-14 09:25 lock42 Status acknowledged => resolved
2017-11-14 09:25 lock42 Resolution open => fixed
2017-11-15 09:44 lock42 Summary Siril crash when searching sequences see log below => Siril crashes when searching sequences see log below
2017-11-21 00:23 vinvin Fixed in Version => 0.9.8
2017-11-21 00:23 vinvin Target Version => 0.9.8